
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>在VB中使用水晶报表的一种简易编程方法 / iVAN</title>

    <meta name="description" content="在VB中使用水晶报表的一种简易编程方法 编程|水晶报表       水晶报表(Crystal Report)的业内最专业.功能最强的报表系统,它除了强大的报表功能外,最大的优势是实现了与绝大多数流行开发工具的集成和接口.在VS.Net平台做过报表开发的程序员,一定都对水晶报表强大.高效.集成等特性留下了深刻印象.除了开发新程序外,在工作中我们常需要接触到很多较早的软件系统报表功能升级的需求,如果能结合水晶报表这一强大的工具,往往能事半功倍.       VB是以前流行的数据库开发平台,用其开发的C/S系统在社会上有非常大的保有量,但V">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">在VB中使用水晶报表的一种简易编程方法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>编程|水晶报表</p>
<p>      水晶报表（Crystal Report）的业内最专业、功能最强的报表系统，它除了强大的报表功能外，最大的优势是实现了与绝大多数流行开发工具的集成和接口。在VS.Net平台做过报表开发的程序员，一定都对水晶报表强大、高效、集成等特性留下了深刻印象。除了开发新程序外，在工作中我们常需要接触到很多较早的软件系统报表功能升级的需求，如果能结合水晶报表这一强大的工具，往往能事半功倍。</p>
<p>      VB是以前流行的数据库开发平台，用其开发的C/S系统在社会上有非常大的保有量，但VB超弱的报表功能往往让程序员面对客户的升级要求一筹莫展。本文并不做水晶报表的使用和编程教学，实际上水晶报表本身的使用方法和VS.Net平台并没有太大的差别，我主要是和大家探讨一下VB和水晶报表的一种较方便的接口方式。我的开发测试平台是Windows2003 Standard简体中文版、VB6.0+sp5英文版、Crystal 9.０简体中文开发版。</p>
<p>      关于在水晶报表中制作报表模板的方法，并非本文的探讨范围，读者可以参考Crystal Report的帮助文件和官方网站的技术资料。简单地说，首先要通过水晶报表的数据库引擎手动连接相应的表结构，制作报表模板，并保存为rpt文件，该项操作和利用VB自带的报表工具制作报表大同小异。</p>
<p>      用VB调用水晶报表进行报表开发的简单接口方法就是，在水晶报表中用"仅字段定义"来获得字段分布文件，用虚拟的文件创建表字段，用CRAXDRT对象来强制改变数据源（ADO.recordset），其效果相当于在VB中调用了rpt文件。下面分步骤介绍编程方法。</p>
<p> </p>
<p>第一步：<br />在VB工程中Project菜单加入"Add Crystal Report 9"，报表名使用默认即可。这时Form2（Crystal　Rerport自动添加的Form，假设名为Form2）被自动分配了如下代码：</p>
<p>Option Explicit<br />dim Report as New Cystal1</p>
<p>Private Sub Form_Load()</p>
<p>Screen.MousePointer = vbHourglass     '调用水晶报表时置鼠标为沙漏状</p>
<p>CRViewer91.ReportSource = Report     '该语句的赋值将在后面被修改</p>
<p>CRViewer91.ViewReport<br />Screen.MousePointer = vbDefault       '调用水晶报表完成后置鼠标为默认形状</p>
<p>End Sub</p>
<p>Private Sub Form_Resize()</p>
<p>CRViewer91.Top = 0<br />CRViewer91.Left = 0<br />CRViewer91.Height = ScaleHeight<br />CRViewer91.Width = ScaleWidth</p>
<p>End Sub</p>
<p>第二步：<br />点击Crystal Report设计器的"数据库字段"，选定"数据库专家..."，然后点"创建新连接"，再点"仅字段定义"，创建"数据库定义"文件，字段名和宽度和原数据库表保持一致。最后，在数据库字段中获得了相应字段，将其置于报表上，按水晶报表的要求配置。</p>
<p>第三步：<br />该步骤非常关键，添加一个Modual到工程文件中，定义全局的ADODB变量，实现数据库和水晶报表的动态连接。代码如下：</p>
<p>Public conn As New ADODB.Connection<br />Public rs As New ADODB.Recordset</p>
<p>第四步：<br />关于VB程序的ADO数据库连接注意事项，请看下面的打印按钮例程。</p>
<p>Private Sub Command1_Click()</p>
<p>    Dim connstr As String</p>
<p>    If conn.State = adStateOpen Then conn.Close<br />    <br />    connstr = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" &amp; App.Path &amp; "\prtest.mdb;Persist Security Info=False"    'prtest.mdb是程序当前目录的测试Access数据库<br />    <br />    conn.ConnectionString = connstr<br />    <br />    conn.Open <br />    <br />    conn.CursorLocation = adUseClient <br />    <br />    If rs.State = adStateOpen Then rs.Close<br />    <br />    rs.Open "test", conn, adOpenKeyset, adLockReadOnly<br />    <br />'    Report.Database.SetDataSource rs, 3, 1  '此行取消<br />   </p>
<p>    Form2.Show 1   '数据库连接完成后，调用Form2水晶报表工程<br />    <br />    <br />End Sub</p>
<p>需要提请大家注意的是，上面代码中的Report.Database.SetDataSource rs, 3, 1是初用水晶报表的程序员容易犯的错误，使用该语句后将造成数据库和水晶报表的连接失败。如何动态调用水晶报表呢？请看第五步。</p>
<p>第五步：<br />创建水晶报表和数据库数据源的连接，需要修改上面Form2的代码。</p>
<p>Option Explicit<br />'dim Report as New Cystal1<br />'上面一行取消</p>
<p>Private Sub Form_Load()</p>
<p>Dim oApp As New CRAXDRT.Application<br />Dim oRpt As CRAXDRT.Report<br />Dim reportName As String<br />'上面三行是新增加的</p>
<p>Screen.MousePointer = vbHourglass</p>
<p>reportName = "\rpt\Pr1.rpt"　　    '定义要引用的rpt文件</p>
<p>Set oRpt = oApp.OpenReport(App.Path &amp; reportName, 1)</p>
<p>oRpt.Database.SetDataSource rs    '连接水晶报表和数据源<br />oRpt.ReadRecords</p>
<p>CRViewer91.ReportSource = oRpt  '启用水晶报表的预览功能</p>
<p>CRViewer91.ViewReport<br />Screen.MousePointer = vbDefault</p>
<p>End Sub</p>
<p>Private Sub Form_Resize()</p>
<p>CRViewer91.Top = 0<br />CRViewer91.Left = 0<br />CRViewer91.Height = ScaleHeight<br />CRViewer91.Width = ScaleWidth</p>
<p>End Sub</p>
<p>Private Sub Form_Unload(Cancel As Integer)<br />    <br />    'Set Report = Nothing<br />    <br />    Set rs = Nothing<br />    <br />    Set conn = Nothing<br />    <br />    Unload Form2<br />    <br />End Sub</p>
<p>      上面介绍了在VB中使用水晶报表进行报表开发的一种方法，该方法简单易用，适合初学者上手。大家熟悉以后，还可以继续学习Crystal Report提供的API函数（Lib库　Crpe32.dll）进行水晶报表开发，可以获得更大的灵活性。（完）</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 08:39:07</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e5%ad%97%e6%ae%b5/" title="字段">字段</a>, <a href="https://www.iamivan.net/tag/%e6%8a%a5%e8%a1%a8/" title="报表">报表</a>, <a href="https://www.iamivan.net/tag/%e5%bc%80%e5%8f%91/" title="开发">开发</a>, <a href="https://www.iamivan.net/tag/%e6%b0%b4%e6%99%b6%e6%8a%a5%e8%a1%a8/" title="水晶报表">水晶报表</a>, <a href="https://www.iamivan.net/tag/vb%e7%bc%96%e7%a8%8b/" title="vb编程">vb编程</a>, <a href="https://www.iamivan.net/tag/%e6%89%93%e5%8d%b0%e6%a8%a1%e6%9d%bf%ef%bc%8c%e6%8a%a5%e8%a1%a8%e5%88%b6%e4%bd%9c/" title="打印模板，报表制作">打印模板，报表制作</a>, <a href="https://www.iamivan.net/tag/report/" title="report">report</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93%e7%ae%80%e6%98%93%e5%b9%b3%e5%8f%b0/" title="&num;数据库简易平台">&num;数据库简易平台</a>, <a href="https://www.iamivan.net/tag/cystal/" title="cystal">cystal</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>在VB中使用水晶报表的一种简易编程方法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0zGkLEz.html" rel="bookmark">vb中使用水晶报表教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				相关文章: 水晶报表封装成VB的DLL 水晶报表(Crystal Report)是业内最专业.功能最强的报表系统,它除了强大的报表功能外,最大的优势是实现了与绝大多数流行开发工具的集成和接口.在VS.Net平台做过报表开发的程序员,一定都对水晶报表强大.高效.集成等特性留下了深刻印象.除了开发新程序外,在工作中我们常需要接触到很多较早的软件系统报表功能升级的需求,如果能结合水晶报表这一强大的工具,往往能事半功倍. VB是以前流行的数据库开发平台,用其开发的C/S系统在社会上有非常大的保有量,但V			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/5zOV2xp.html" rel="bookmark">Asp&period;Net中使用水晶报表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|水晶报表    编译:http://www.ASPcn.com 飞刀   原文:http://www.aspfree.com   在我们对VS.net中的水晶报表(Crystal Reports)进行研究之前,我和我朋友对如何将这个复杂的东东加入我们的Web应用有着非常的好奇心.一周以后,在阅读了大量的&quot;HOWTO&quot;文档之后,我们成功地将一些简单的报告加入到了我们的ASP.NET程序中,并得到了一些小决窍.      这篇文章教你如何在.net Web应用中使用水晶报表			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMgk7AM.html" rel="bookmark">ASP&period;NET中利用水晶报表创建图表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|创建|水晶报表|图表 在很多的应用程序中,报表是不可缺少的,一张好的报表能直观地让人把握数据的情况,方便决策.在这篇文章中,我们将以一个三层结构的asp.net程序为例,介绍如何使用crystal report ,来制作一份报表,其中介绍了不少asp.net和水晶报表的技巧.   在这个例子中,我们设想的应用要为一个销售部门制作一份报表,管理者可以查看某段时间之内的销售情况,以列表或者折线图的形式反映出销售的趋势.我们将使用SQL Server 2000做为数据库,使用VB.NE			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qba99Xb.html" rel="bookmark">VB程序打印水晶报表的典型方法2</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				程序|打印|水晶报表 描述:   本文介绍另一种流行的一种VB程序打印水晶报表的方法.   环境: MS SQL SERVER 2000  /  VB6  /  CRYSTAL REPORT8.5   步骤 1: 建立ODBC连接   2: 创建一个为Crystal Report报表文件   3: 加载Microsoft ActiveX Data Objects Library 至项目的References 中   4. 创建VB 设计(Designer) , 通过open existing f			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM1eV3M.html" rel="bookmark">VB程序打印水晶报表的典型方法1</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				程序|打印|水晶报表 描述:     本文介绍流行的一种VB程序打印水晶报表的方法,具有比较好的扩展性.   环境:    MS SQL SERVER 2000  /  VB6  /  CRYSTAL REPORT8.5   步骤   1: 建立ODBC连接   2: 创建一个为Crystal Report检索数据的过程(procedure) 举例: (通过日期查询总额)    if exists (select * from sysobjects where name = 'usp_testf			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMqKWKz.html" rel="bookmark">Asp&period;Net中使用水晶报表（上）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|水晶报表 在我们对VS.Net中的水晶报表(Crystal Reports)进行研究之前,我和我朋友对如何将这个复杂的东东加入我们的Web应用有着非常的好奇心.一周以后,在阅读了大量的&quot;HOWTO&quot;文档之后,我们成功地将一些简单的报告加入到了我们的Asp.net程序中,并得到了一些小决窍. 这篇文章教你如何在.Net Web应用中使用水晶报表,也可以让你在学习过程中少走一些弯路.为了得到最好的效果,读者最好需要有一些基础的Asp.Net访问数据库的知识以及使用VS.Ne			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqAZLOM.html" rel="bookmark">库-VB&period;NEt利用水晶报表的API&comma;给Oracle创建session后不能释放session的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 VB.NEt利用水晶报表的API,给Oracle创建session后不能释放session的问题 vb.net2010调用水晶报表的API,先使用PEOpenEngine,然后PEOpenPrintJob,然后使用PESetNthTableLocation后,会自动给Oracle创建一个 session来连接数据库,调用数据库中的数据以打印报表,接着用PEStartPrintJob打印报表,然后用PEClosePrintJob来关闭报表, 然后PECloseEngine关闭水晶报表引擎			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp53Qnb.html" rel="bookmark">Asp&period;Net中使用水晶报表（中）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|水晶报表 使用Pull模式 我们将通过下面的这些步骤来通过Pull模式来执行水晶报表 1.首先创建rpt文件,并使用水晶报表设计接口设置一些必须的数据连接. 2.拖放一个 CrystalReportViewer控件至aspx页面,设置它的属性指定我们上一步创建的.rpt文件. 3. 在代码中调用DataBind方法. 创建 .rpt 文件: 1) 在右击&quot;解决方案游览器&quot;,在弹出的菜单中选择&quot;添加&quot;--&quot;添加新项&quot;--&gt;&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRy2Rqb.html" rel="bookmark">在VB中运行MicrosoftAccess报表的好方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在VB中如何使用直观.简便的报表一直是很多人关心的问题,CrystalReports用起来又不太理想.现介绍一在VB中运行MicrosoftAccess报表的方法,用起来还不错. 利用Automation运行MicrosoftAccess报表 1.使用MicrosoftAccess建立数据库(如:novelty.mdb)的相关报表(如:rptEmployess). 2.创建引用 在VB中使用&quot;ProjectReferences&quot;菜单创建一个对MicrosoftAccess8.0Obje			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQrg8M.html" rel="bookmark" class="title">解决Vmware虚拟机中克隆Centos后无法启动网卡的问题</a>
					<div>
						0.前面的话:困扰很久的问题     之前经常出现这样的问题,但由于实在找不到解决的办法,只能硬着头皮自己重新去安装一个新的操作系统,虽然是浪费点时间,但也勉强解决了吧.     但有问题不解决总不好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0NO8z.html" rel="bookmark" class="title">jsp页面如何跳转到html页面，在线急等！</a>
					<div>
						问题描述 jsp页面如何跳转到html页面,在线急等! jsp页面如何跳转到html页面,用按钮,求大神!!!!!!!!!!!!!!!!!!!!!! 解决方案 jsp的几种跳转方法:http://ji ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbK3oWb.html" rel="bookmark" class="title">asp利用Microsoft&period;XMLHTTP获取页面信息</a>
					<div>
						xml|页面|页面信息 &lt;%      function getHTTPPage(url)         on error resume next         dim http       ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLljap.html" rel="bookmark" class="title">用VB控制EXCEL生成报表</a>
					<div>
						excel|控制 做为一种简捷.系统的 Windows应用程序开发工具,Visual Basic 5 具有强大的数据处理功能,提供了多种数据访问方法,可以方便地存取Microsoft SQL Serv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRRlnz.html" rel="bookmark" class="title">MVC应用程序如何使用Web Services&lpar;asmx&rpar;</a>
					<div>
						这次,我们练习MVC应用程序中,应用web service. 先在MVC应用程序中创建一个目录Services,将用来存储Service.asmx. 这个Service的方法,可以参考这个&lt;自定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NZEWz.html" rel="bookmark" class="title">专家浅谈云计算环境的安全策略</a>
					<div>
						使用云计算环境的外部网络可以获得异地存储备份的优点,但同时也带来了一些危险:各种病毒.垃圾邮件.恶意软件和身份窃贼是你可能面临的一部分威胁. CIO频道每周热&quot;点&quot;文章 CIO如何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4PXjp.html" rel="bookmark" class="title">AOP&commat;Work&colon; 对方面进行单元测试-验证横切行为的八种新模式</a>
					<div>
						简介:AOP 使编写特定于应用程序的横切关注点测试比任何时候都要容易了 . 要了解其原因以及如何实现,请听 Nicholas Lesiecki 介绍测试面向方面的代 码 所具有的好处,并展示在 Asp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlPNmb.html" rel="bookmark" class="title">在c&num;使用IOCP（完成端口）的简单示例</a>
					<div>
						这次给大家演示一下利用IOCP的在线程间传递数据的例子,顺便打算讲一些细节和注意的地方. 概述:这里主要使用IOCP的三个API,CreateIoCompletionPort,PostQueuedCo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kvQqz.html" rel="bookmark" class="title">win7系统cf截图存放在哪个文件夹？</a>
					<div>
						win7系统cf截图存放在哪个文件夹?   最近有用户反应,打完游戏之后,想打开截图的图片,那么在Win7系统中玩穿越火线截的图都在哪里呢?下面小编给大家分享下win7系统下CF截图图片所在位置. 方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PkV0M.html" rel="bookmark" class="title">淘宝商品展示页页面设计介绍</a>
					<div>
						这篇文章和我之前转发分享的&lt;淘宝店铺设计方法和技巧总结&gt;是一个系列的文章,个人最近比较常接触的就是淘宝店铺的设计,把这一些资料性质的文章页转发过来,希望能够对正在学习淘宝店面设计的朋友有一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPAL0z.html" rel="bookmark" class="title">phpmyadmin安装教程 phpmyadmin安装配置</a>
					<div>
						phpmyadmin怎么安装?有些朋友可能还不清楚phpmyadmin如何安装的,下面绿茶小编为大家详细介绍下phpmyadmin安装配置教程,有需要的朋友赶紧参考下吧! phpmyadmin就是一种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlwwQb.html" rel="bookmark" class="title">js判断ie版本号的简单实现代码&lowbar;javascript技巧</a>
					<div>
						jQuery 2.0 去除了对浏览器版本号的判断(它推荐特性检测),这里是一个老外写的原生判断方法,这段代码着实巧妙!既简介.有向后兼容!一般做法都是:正则搜索 USER_AGENT :但因为历史原因 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGA8WnM.html" rel="bookmark" class="title">IOS获取通讯录联系人信息</a>
					<div>
						IOS获取系统通讯录联系人信息 一.权限注册 随着apple对用户隐私的越来越重视,IOS系统的权限设置也更加严格,在获取系统通讯录之前,我们必须获得用户的授权.权限申请代码示例如下: ? 1 2 3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQr9XoM.html" rel="bookmark" class="title">jboss5 1 tiles ssh2-jboss5&period;1 部署ssh2项目，代码和数据库编码GBK。使用tiles 跳转页面失败</a>
					<div>
						问题描述 jboss5.1 部署ssh2项目,代码和数据库编码GBK.使用tiles 跳转页面失败 1.发起请求url=&quot;&quot;/top/serviceStat/listAction. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGA5PkM.html" rel="bookmark" class="title">二叉堆&lpar;binary heap&rpar;</a>
					<div>
						堆(heap) 亦被称为:优先队列(priority queue),是计算机科学中一类特殊的数据结构的统称.堆通常是一个可以被看做一棵树的数组对象.在队列中,调度程序反复提取队列中第一个作业并运行,因 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4ND3JM.html" rel="bookmark" class="title">Struts中扫描包的层数问题</a>
					<div>
						  Struts总配置文件在扫描Struts组件的时候常常采用include方法,那么需要注意一些问题.   看这个include &lt;include file=&quot;configs/str ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPqXvp.html" rel="bookmark" class="title">访谈︱这家安全初创公司专注自适应微隔离技术</a>
					<div>
						云计算技术正在颠覆整个社会的IT基础架构,新的威胁,新的环境,新的基础技术将共同重新塑造网络安全体系,而网络安全产业也一定将会围绕着云计算发生巨大变革. 自适应与微隔离,均为近年来新兴的网络安全技术, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA4R2M.html" rel="bookmark" class="title">缩放-meta viewport和iframe中的meta冲突</a>
					<div>
						问题描述 meta viewport和iframe中的meta冲突 先说明下环境. android开发的app.java谢了个壳子,套了个浏览器放到app里面,再将html在浏览器中使用. &lt;! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJA1Y4p.html" rel="bookmark" class="title">gensim-Python 计算 tfidf ，数据较大，报错memory error</a>
					<div>
						问题描述 Python 计算 tfidf ,数据较大,报错memory error 我的工作环境是,win7,python2.7.10,gensim 任务内容是根据商品信息(所属类目.分词)来确定商品 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z407lYz.html" rel="bookmark" class="title">linux下MongoDB安装和使用教程</a>
					<div>
						安装代码如下: tar -zxf mongodb-linux-x86_64-2.6.5.tgz mv mongodb-linux-x86_64-2.6.5 /usr/local/ cd /usr/lo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxY9Kyp.html" rel="bookmark" class="title">浙江网吧无一申请全国连锁担忧跨省水土不服</a>
					<div>
						&quot;全国网吧连锁企业认定申报对于网吧连锁企业来说,肯定是个利好,但现在可能还不是恰当时机.&quot;作为在2003年便拿到省级网吧连锁牌照的网吧企业,浙江顶尚信息服务连锁公司总经理王大祝最近 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqjW6p.html" rel="bookmark" class="title">《CCNP SWITCH 300-115认证考试指南》&mdash;&mdash;2&period;6节复习所有考试要点</a>
					<div>
						2.6 复习所有考试要点 CCNP SWITCH 300-115认证考试指南 2.6 复习所有考试要点 复习本章所有的考试要点.在页边距中我们已使用图标&quot;考试要点&quot;标出了这些主题. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwEddM.html" rel="bookmark" class="title">一文读懂物联网大数据产业链</a>
					<div>
						大数据开启了一个大规模生产.分享和应用数据的时代,它给技术和商业带来了巨大的变化.麦肯锡研究表明,在医疗.零售和制造业领域,大数据每年可以提高劳动生产率0.5-1个百分点.物联网时代,大数据在核心领域 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoq7AM.html" rel="bookmark" class="title">AMD宣布联手三星 正式进军超轻薄本市场</a>
					<div>
						TechWeb编辑推荐:围绕更轻更薄更高性能的PC概念,AMD继续展开与英特尔的角逐.近日,AMD高调联手三星推出搭载APU加速处理器的535U,进军超轻薄笔记本市场,也拉开了与英特尔超极本对抗的序幕 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xm3rb.html" rel="bookmark" class="title">科技博客热的冷思考：三年大限前该做些什么？</a>
					<div>
						去年开始,网媒中有一个细分领域比较红火:科技博客,一种聚焦于TMT领域的垂直行业媒体. 以前专门翻译美国知名科技博客Techcruch的所谓&quot;Techcruch中文站&quot;后改名36氪 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZ6J3p.html" rel="bookmark" class="title">PHP内核探索：PHP的FastCGI</a>
					<div>
						CGI全称是&quot;通用网关接口&quot;(Common Gateway Interface), 它可以让一个客户端,从网页浏览器向执行在Web服务器上的程序请求数据. CGI描述了客户端和这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Zymrb.html" rel="bookmark" class="title">赶集网遭58同城CEO姚劲波公开诋毁</a>
					<div>
						DoNews 7月25日消息 7月25日下午,赶集网公关部向媒体发表了一份公开信,赶集网在公开信中以&lt;论一个CEO的自我修养&gt;为题公开指责其遭到竞争对手58同城CEO姚劲波的诋毁. 邮件中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEWeOp.html" rel="bookmark" class="title">外部缺乏可撬动苹果生态模式的颠覆力</a>
					<div>
						摘要: iPhone6正式发布后到目前已有一段时间,iPhone6自发布后,有关苹果外观模仿HTC.大屏跟随三星的吐槽不断,关于苹果硬件技术与工艺创新乏力的论调也一直在延续,业界舆论从针对关于 iPh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrvKjvM.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;零号线&rdquo;是一个拥有自建配送团队的外卖服务平台</a>
					<div>
						&quot;零号线&quot;源于外卖送餐服务,但不是纯粹的外卖平台,现在已经有点电商的味道.最关键的是,它拥有自建的配送团队.这可以保证消费者那边一致的体验. &quot;零号线&quot;是一个拥 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0YgWmp.html" rel="bookmark" class="title">最新TOP44站长类网站总结分析</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 去年3月份的时候,我第一次总结了国 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
